> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/gnosis-blocks-rpc-methods",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Blocks info | Gnosis

> Gnosis Chain block information JSON-RPC methods — query block details including transactions, timestamps, height, and headers on the Gnosis network.

Retrieving block information from the Gnosis Chain can be done by using the following methods:

<CardGroup cols={2}>
  <Card title="eth_blockNumber" icon="angle-right" iconType="solid" href="/reference/gnosis-blocknumber" horizontal />

  <Card title="eth_getBlockByHash" icon="angle-right" iconType="solid" href="/reference/gnosis-getblockbyhash" horizontal />

  <Card title="eth_getBlockByNumber" icon="angle-right" iconType="solid" href="/reference/gnosis-getblockbynumber" horizontal />

  <Card title="eth_getBlockTransactionCountByHash" icon="angle-right" iconType="solid" href="/reference/gnosis-getblocktransactioncountbyhash" horizontal />

  <Card title="eth_getBlockTransactionCountByNumber" icon="angle-right" iconType="solid" href="/reference/gnosis-getblocktransactioncountbynumber" horizontal />

  <Card title="eth_newBlockFilter" icon="angle-right" iconType="solid" href="/reference/gnosis-newblockfilter" horizontal />
</CardGroup>

This information can be used to track the state of the blockchain and for:

* **Blockchain analysis** — insights into the overall activity on the network, such as the number of processed transactions and average transaction fees, can be obtained.
* **Block explores** — web-based tools that provide access to information on a blockchain, including block data, transactions, and addresses, allowing users to search, view, and analyze the network's activity.
* **Smart contract analysis** — the activity of specific smart contracts
* **DApp development** — block information can be utilized in the development of decentralized applications.

<Check>
  ### Get your own node endpoint today

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>
